package fr.im2ag.m2cci.animation.reader;

/**
 * racine de la hiérarchies d'exceptions pouvant être provoquées
 * lors de la lecture d'un fichier de description de formes.
 * 
 * @author Philippe Genoud - UJF Grenoble - Lab LIG-Steamer
 */
public class DessinFileReaderException extends Exception{
    
    protected int noLigne;

    public DessinFileReaderException(int noLigne) {
        this.noLigne = noLigne;
    }
    
    public DessinFileReaderException(int noLigne, String mess) {
        super(mess);
        this.noLigne = noLigne;
    }
}
